/*!
 * @file calibrate_dlg.h
 * @brief This is the header file for the CalibrateDlg class.
 *
 * Copyright 2014 (c) Fastec Imaging as an unpublished work.
 * All Rights Reserved.
 *
 * The information contained herein is confidential property of
 * Fastec Imaging. The use, copying, transfer or disclosure of such
 * information is prohibited except by express written agreement
 * with Fastec Imaging.
 */

#ifndef CALIBRATE_DLG_H
#define CALIBRATE_DLG_H

//--------------------------------------------------------------------
// Includes
//--------------------------------------------------------------------
#include <QDialog>

namespace Ui
{
class CalibrateDlg;
}

class CalibrateDlg : public QDialog
{
    Q_OBJECT

public:
    explicit CalibrateDlg(QWidget *parent = nullptr);
    ~CalibrateDlg();

    bool    do_auto_offset()    { return auto_cal_offset; }

    void    set_info_text(const QString& info_str);
    void    set_title(const QString& title_str);

private slots:
    void    do_advanced_cal();

private:
    Ui::CalibrateDlg *ui;

    bool    auto_cal_offset;            //!< True to automatically calibrate the offset.
};

#endif // CALIBRATE_DLG_H
