/*!
 * @file camera_preferences.h
 * @brief This is the header file for the CameraPreferences dialog.
 *
 * Copyright 2013 (c) Fastec Imaging as an unpublished work.
 * All Rights Reserved.
 *
 * The information contained herein is confidential property of
 * Fastec Imaging. The use, copying, transfer or disclosure of such
 * information is prohibited except by express written agreement
 * with Fastec Imaging.
 */

#ifndef CAMERA_PREFERENCES_H
#define CAMERA_PREFERENCES_H

//--------------------------------------------------------------------
// Includes
//--------------------------------------------------------------------
#include <QDialog>
#include <stdint.h>

namespace Ui
{
class CameraPreferences;
}

class CameraPreferences : public QDialog
{
    Q_OBJECT

public:
    explicit CameraPreferences(QWidget *parent = nullptr);
    ~CameraPreferences();

    bool    get_autodownload_enable(void);
    bool    get_autoplayback_enable(void);
    int     get_gamma(void);
    int     get_jpeg_quality(void);
    bool    isExtIO_5V();

    void    set_autoplayback(bool enabled);
    void    set_gamma(int gamma_value);
    void    set_jpeg_quality(int quality_value);
    void    set_metadata_autodownload(bool do_autodownload);
    void    extIO_5V(bool enable);

private:
    Ui::CameraPreferences *ui;
};

#endif // CAMERA_PREFERENCES_H
