/*!
 * @file fi_camlist.h
 * @brief This is the header file for the fiCamList class.
 *
 * We override the standard QListWidget so that we can track drag/drop
 * events to allow for a camera "object" to be dropped into the list.
 *
 * Copyright 2013 (c) Fastec Imaging as an unpublished work.
 * All Rights Reserved.
 *
 * The information contained herein is confidential property of
 * Fastec Imaging. The use, copying, transfer or disclosure of such
 * information is prohibited except by express written agreement
 * with Fastec Imaging.
 */

#ifndef FI_CAMLIST_H
#define FI_CAMLIST_H

//--------------------------------------------------------------------
// Includes
//--------------------------------------------------------------------
#include <QWidget>
#include <QListWidget>
#include <stdint.h>

//--------------------------------------------------------------------
// The fiCamList class definition
//--------------------------------------------------------------------
class fiCamList : public QListWidget
{
    Q_OBJECT
public:
    explicit fiCamList( QWidget *parent = 0 );
    
protected:
    void    dropEvent( QDropEvent *event );

signals:
    void    camera_dropped( uint32_t ip_addr );
};

#endif // FI_CAMLIST_H
