/*!
 * @file fi_fflr_underflow_dialog.h
 * @brief This is the header file for the fiFFLRUnderflowDlg class.
 *
 * Copyright 2022 (c) Fastec Imaging as an unpublished work.
 * All Rights Reserved.
 *
 * The information contained herein is confidential property of
 * Fastec Imaging. The use, copying, transfer or disclosure of such
 * information is prohibited except by express written agreement
 * with Fastec Imaging.
 */
#ifndef FI_FFLR_UNDERFLOW_DIALOG_H
#define FI_FFLR_UNDERFLOW_DIALOG_H

#include <QDialog>
#include <QDir>
#include <QFile>
#include <QMessageBox>
#include <QNetworkAccessManager>
#include <QNetworkReply>
#include <QStandardPaths>
#include <QtNetwork>
#include <QUrl>

#include <camera_mdi.h>
#include <fi_progress_dialog.h>

namespace Ui
{
class FiFFLRUnderflowDlg;
}

//--------------------------------------------------------------------
// Forward Declarations
//--------------------------------------------------------------------

//--------------------------------------------------------------------
// Class Declaration
//--------------------------------------------------------------------
class FiFFLRUnderflowDlg : public QDialog
{
    Q_OBJECT

public:
    explicit FiFFLRUnderflowDlg(uint32_t dirtyBufferCount, const QString& deviceName, CameraMDI *camera_ptr,
                                QWidget *parent = nullptr, Qt::WindowFlags flags = Qt::WindowFlags());
    ~FiFFLRUnderflowDlg();

    bool userDiscardedBuffers()     {return discardBuffers; }

protected:
    void    closeEvent(QCloseEvent *event);

private slots:
    void doDiscardBufferChecked();
    void doDiscardPartialRecording();
    void doCompletePartialRecording();

private:
    Ui::FiFFLRUnderflowDlg *ui;

    bool discardBuffers;
    CameraMDI *ourCameraPtr;
};

#endif // FI_FFLR_UNDERFLOW_DIALOG_H
