/*!
 * @file fi_mdiarea.h
 * @brief This is the header file for the fiMdiArea class.
 *
 * We override the standard QMdiArea so that we can track drag/drop
 * events to allow for a camera "object" to be dropped into the MDI area.
 *
 * Copyright 2013 (c) Fastec Imaging as an unpublished work.
 * All Rights Reserved.
 *
 * The information contained herein is confidential property of
 * Fastec Imaging. The use, copying, transfer or disclosure of such
 * information is prohibited except by express written agreement
 * with Fastec Imaging.
 */

#ifndef FI_MDIAREA_H
#define FI_MDIAREA_H

//--------------------------------------------------------------------
// Includes
//--------------------------------------------------------------------
#include <QMdiArea>
#include <stdint.h>

//--------------------------------------------------------------------
// The fiMdiArea class definition
//--------------------------------------------------------------------
class fiMdiArea : public QMdiArea
{
    Q_OBJECT
public:
    explicit fiMdiArea(QWidget *parent = 0);

signals:
    void    camera_dropped( uint32_t ip_addr );

protected:
    void    dragEnterEvent( QDragEnterEvent *event );
    void    dropEvent( QDropEvent *event );
};

#endif // FI_MDIAREA_H
