/*!
 * @file fi_sensor_lupa1300.h
 * @brief This is the header file for the fiSensorLupa1300 class.
 *
 * Copyright 2014 (c) Fastec Imaging as an unpublished work.
 * All Rights Reserved.
 *
 * The information contained herein is confidential property of
 * Fastec Imaging. The use, copying, transfer or disclosure of such
 * information is prohibited except by express written agreement
 * with Fastec Imaging.
 */

#ifndef FI_SENSOR_LUPA1300_H
#define FI_SENSOR_LUPA1300_H

//--------------------------------------------------------------------
// Includes
//--------------------------------------------------------------------
#include "fi_sensor.h"
#include "fi_sensor_priv.h"

//--------------------------------------------------------------------
// Class Definition
//--------------------------------------------------------------------
class fiSensorLupa1300 : public FI_SENSOR::fiSensorPrivate
{
public:
    fiSensorLupa1300( fiSensor *parent, uint32_t sensor_id );
    virtual ~fiSensorLupa1300();

    virtual bool        is_color( void );
    virtual uint32_t    max_frame_rate( QRect *p_roi , uint32_t bit_depth );
    virtual int         max_pixel_depth( void );
    virtual QRect       max_roi( uint32_t bit_mode );
    virtual bool        opts_avail( void );
    virtual void        reg_update( uint32_t reg_addr, uint32_t reg_value );
    virtual void        set_options( uint32_t opt_value );
    virtual bool        supports_pixel_fpn( void );
    virtual bool        supports_sensor_fpn( void );
    virtual bool        supports_adv_cal( void );

private:
    void    pixels_to_kernels( int pixels_start, int pixels_width, int *k_start, int *k_end );
};

#endif // FI_SENSOR_LUPA1300_H
