/*!
 * @file fi_sensor_lux2100.h
 * @brief This is the header file for the fiSensorLux2100 class.
 *
 * Copyright 2020 (c) Fastec Imaging as an unpublished work.
 * All Rights Reserved.
 *
 * The information contained herein is confidential property of
 * Fastec Imaging. The use, copying, transfer or disclosure of such
 * information is prohibited except by express written agreement
 * with Fastec Imaging.
 */

#ifndef FI_SENSOR_LUX2100_H
#define FI_SENSOR_LUX2100_H

//--------------------------------------------------------------------
// Includes
//--------------------------------------------------------------------
#include "fi_sensor.h"
#include "fi_sensor_priv.h"

//--------------------------------------------------------------------
// Forward Declarations
//--------------------------------------------------------------------

class QByteArray;
class QRect;

//--------------------------------------------------------------------
// Class Definition
//--------------------------------------------------------------------
class fiSensorLux2100 : public FI_SENSOR::fiSensorPrivate
{
public:
    fiSensorLux2100(fiSensor *parent, uint32_t sensor_id);
    virtual ~fiSensorLux2100();

    virtual bool        is_color();
    virtual uint32_t    max_frame_rate(QRect *p_roi, uint32_t bit_depth);
    virtual int         max_pixel_depth();
    virtual QRect       max_roi(uint32_t bit_mode);
    virtual bool        opts_avail();
    virtual void        reg_update(uint32_t reg_addr, uint32_t reg_value);
    virtual void        set_options(uint32_t opt_value);
    virtual bool        supports_pixel_fpn();
    virtual bool        supports_sensor_fpn();
    virtual bool        supports_adv_cal();
    virtual int         height_mod()  { return 4; }

private:
    uint32_t            current_options;
};

#endif // FI_SENSOR_LUX2100_H
