/*!
 * @file fi_tableview.h
 * @brief This is the header file for the fiTableView class.
 *
 * Copyright 2013 (c) Fastec Imaging as an unpublished work.
 * All Rights Reserved.
 *
 * The information contained herein is confidential property of
 * Fastec Imaging. The use, copying, transfer or disclosure of such
 * information is prohibited except by express written agreement
 * with Fastec Imaging.
 */

#ifndef FI_TABLEVIEW_H
#define FI_TABLEVIEW_H

//--------------------------------------------------------------------
// Includes
//--------------------------------------------------------------------
#include <QWidget>
#include <QTableView>
#include <stdint.h>

//--------------------------------------------------------------------
// Class declaration: fiTableView
//--------------------------------------------------------------------
class fiTableView : public QTableView
{
    Q_OBJECT

public:
    explicit fiTableView(QWidget *parent = nullptr);

protected:
    void    mousePressEvent(QMouseEvent *event);
    void    mouseMoveEvent(QMouseEvent *event);

private:
    QPoint  drag_start_pos;         //!< The starting point of the drag operation.
};

#endif // FI_TABLEVIEW_H
