/*!
 * @file logger.h
 * @brief This file encapsulates the QsLog support.
 *
 * Copyright 2013 (c) Fastec Imaging as an unpublished work.
 * All Rights Reserved.
 *
 * The information contained herein is confidential property of
 * Fastec Imaging. The use, copying, transfer or disclosure of such
 * information is prohibited except by express written agreement
 * with Fastec Imaging.
 */

#ifndef LOGGER_H
#define LOGGER_H

//--------------------------------------------------------------------
// Includes
//--------------------------------------------------------------------
#include "QsLog.h"
#include "QsLogDest.h"
#include <iostream>

//--------------------------------------------------------------------
// Variable Declarations
//--------------------------------------------------------------------

extern const QsLogging::Logger& logger;

//--------------------------------------------------------------------
// Function Prototypes
//--------------------------------------------------------------------
extern void log_init(const char *log_dest);
extern void log_set_level(QsLogging::Level qs_log_level);
extern int log_get_max_files();

#endif // LOGGER_H
