#ifndef MAC_CTRL_H
#define MAC_CTRL_H

#include <QFrame>
#include <QLineEdit>
#include <QIntValidator>
#include <QHBoxLayout>
#include <QFont>
#include <QLabel>
#include <QKeyEvent>

#include <stdint.h>

class MacCtrl : public QFrame
{
    Q_OBJECT

public:
    explicit MacCtrl( QWidget *parent = 0 );
    ~MacCtrl();

    virtual bool eventFilter( QObject *obj, QEvent *event );

    const uint8_t   *get_mac( void );
    void            set_mac( const uint8_t *user_mac );

    enum
    {
        QTUTL_MAC_SIZE  = 6,    // The number of octets which make up an IP address.
        MAX_DIGITS      = 2     // The number of characters in the LineEdit.
    };

public slots:
    void slotTextChanged( QLineEdit* pEdit );

signals:
    void signalTextChanged( QLineEdit* pEdit );

private:
    uint8_t     mac_addr[ QTUTL_MAC_SIZE ];
    QLineEdit   *m_pLineEdit[ QTUTL_MAC_SIZE ];

    void MoveNextLineEdit( int i );
    void MovePrevLineEdit( int i );
};

#endif // MAC_CTRL_H
