/*!
 * @file peekpoke.h
 * @brief Test only dialog to peek/poke FCP registers.
 *
 * Copyright 2013 (c) Fastec Imaging as an unpublished work.
 * All Rights Reserved.
 *
 * The information contained herein is confidential property of
 * Fastec Imaging. The use, copying, transfer or disclosure of such
 * information is prohibited except by express written agreement
 * with Fastec Imaging.
 */

#ifndef PEEKPOKE_H
#define PEEKPOKE_H

//--------------------------------------------------------------------
// Includes
//--------------------------------------------------------------------

#include <QDialog>
#include <stdint.h>

namespace Ui
{
class PeekPokeDialog;
}

//--------------------------------------------------------------------
// The PeekPokeDialog class definition
//--------------------------------------------------------------------
class PeekPokeDialog : public QDialog
{
    Q_OBJECT

public:
    explicit PeekPokeDialog(QWidget *parent = 0);
    ~PeekPokeDialog();

    void    set_ip(uint32_t ip_addr);

private slots:
    void    read_reg(void);
    void    write_reg(void);

    void    read_complete(uint32_t ip_addr, uint32_t reg_addr);
    void    write_complete(uint32_t ip_addr, uint32_t reg_addr);

    void    update_camera_info(void);

private:
    Ui::PeekPokeDialog *ui;

    bool        wait_for_read;
    uint32_t    ip_addr;
    uint32_t    reg_addr;
    QTimer      *update_timer;
};

#endif // PEEKPOKE_H
