#ifndef SELECT_DEVICE_H
#define SELECT_DEVICE_H

#include <QDialog>
#include <QList>
#include <QString>

namespace Ui
{
class SelectDevice;
}

class SelectDevice : public QDialog
{
    Q_OBJECT

public:
    explicit SelectDevice(QWidget *parent = nullptr);
    ~SelectDevice();

    void localPathAllowed(bool allow)       { local_path_allowed = allow; }
    uint32_t deviceSelected(QJsonObject& dev_object, QJsonArray& media_array);

protected:
    void changeEvent(QEvent *e);

private slots:
    void handleJsonMedia(const QJsonDocument& jsonMedia);

private:
    static const QString device_query_label;
    static const QString device_empty_label;
    static const QString device_found_label;

    Ui::SelectDevice *ui;
    bool local_path_allowed;

    void enableControls(bool do_enable);
};

#endif // SELECT_DEVICE_H
