/*!
 * @file control_panel.h
 * @brief This file contains the definition of the ControlPanel class.
 *
 * Copyright 2013 (c) Fastec Imaging as an unpublished work.
 * All Rights Reserved.
 *
 * The information contained herein is confidential property of
 * Fastec Imaging. The use, copying, transfer or disclosure of such
 * information is prohibited except by express written agreement
 * with Fastec Imaging.
 */

#ifndef SHOW_COLUMNS_H
#define SHOW_COLUMNS_H

//--------------------------------------------------------------------
// Includes
//--------------------------------------------------------------------

#include <QDialog>

namespace Ui {
    class ShowColumnsDialog;
}

//--------------------------------------------------------------------
// The class definition
//--------------------------------------------------------------------
class ShowColumnsDialog : public QDialog
{
    Q_OBJECT
    
public:
    explicit ShowColumnsDialog(QWidget *parent = nullptr);
    ~ShowColumnsDialog();

    QStringList avail_cols;
    QStringList used_cols;
    QStringList factory_cols;

public slots:
    virtual void    accept();
    virtual int     exec();

private slots:
    void    do_add( void );
    void    do_move_up( void );
    void    do_move_down( void );
    void    do_remove( void );
    void    do_reset( void );
    void    do_show_sel_changed( void );
    
private:
    Ui::ShowColumnsDialog *ui;

    void    adjust_ui( void );
};

#endif // SHOW_COLUMNS_H
