/*!
 * @file time_date.h
 * @brief This is the header file for the TimeDateDLG dialog.
 *
 * Copyright 2014 (c) Fastec Imaging as an unpublished work.
 * All Rights Reserved.
 *
 * The information contained herein is confidential property of
 * Fastec Imaging. The use, copying, transfer or disclosure of such
 * information is prohibited except by express written agreement
 * with Fastec Imaging.
 */

#ifndef TIME_DATE_H
#define TIME_DATE_H

//--------------------------------------------------------------------
// Includes
//--------------------------------------------------------------------
#include <QDialog>
#include <stdint.h>

namespace Ui
{
class TimeDateDLG;
}

//--------------------------------------------------------------------
// Class declaration: TimeDateDLG
//--------------------------------------------------------------------
class TimeDateDLG : public QDialog
{
    Q_OBJECT

public:
    explicit TimeDateDLG(QWidget *parent = nullptr);
    ~TimeDateDLG();

    const QString   get_ntp_server(void);
    void        set_ntp_server(const QString& server_url);

    uint32_t    get_time(void);
    void        set_time(uint32_t seconds);

    const QString   get_timezone(void);
    const QString   get_utc_offset(void);
    void        set_timezone(const QString& tz_name);

public slots:
    virtual void accept();

private slots:
    void    update_fields(void);
    void    ntp_enable(void);

private:
    Ui::TimeDateDLG *ui;
};

#endif // TIME_DATE_H
