/*!
 * @file update_status.h
 * @brief This is the header file for the update status dock.
 *
 * Copyright 2020 (c) Fastec Imaging as an unpublished work.
 * All Rights Reserved.
 *
 * The information contained herein is confidential property of
 * Fastec Imaging. The use, copying, transfer or disclosure of such
 * information is prohibited except by express written agreement
 * with Fastec Imaging.
 */

#ifndef UPDATE_STATUS_H
#define UPDATE_STATUS_H

//--------------------------------------------------------------------
// Include Files
//--------------------------------------------------------------------
#include <QDockWidget>
#include <memory>

namespace Ui
{
class UpdateStatus;
}

//--------------------------------------------------------------------
// Forward Declarations
//--------------------------------------------------------------------

class FiJournalCtl;
class CameraMDI;

//--------------------------------------------------------------------
// Class Declaration
//--------------------------------------------------------------------
class UpdateStatus : public QDockWidget
{
    Q_OBJECT

public:
    explicit UpdateStatus(QWidget *parent = nullptr);
    ~UpdateStatus();

    bool setCamera(CameraMDI *camera_ptr = nullptr);
    void start();

protected:
    void closeEvent(QCloseEvent *event) override;

private slots:
    void dataAvailable(QString log_data);

private:
    Ui::UpdateStatus *ui;

    std::unique_ptr<FiJournalCtl> journal;
};

#endif // UPDATE_STATUS_H
